API EndpointsEvent lookup
Top100
Guide to Project Sekai event top100 ranking lookup
Endpoint Info
Retrieve top 100 player rankings for the current event:
GET https://api.hisekai.org/[region]/event/live/top100Retrieve top 100 player rankings for the specific event:
GET https://api.hisekai.org/[region]/event/[event_id]/top100[region]now only supportstw.[event_id]is the event ID to query.
The /[region]/event/[event_id]/top100 is cached data.
To get real-time data for the current event, use /[region]/event/live/top100.
Data Fields
The following are the fields returned by /[region]/event/live/top100:
| Field | Type | Description |
|---|---|---|
| id | number | Event ID |
| name | string | Event name |
| start_at | string (ISO8601) | Event start time |
| closed_at | string (ISO8601) | Event close time |
| aggregate_at | string (ISO8601) | Event aggregate time |
| ranking_announce_at | string (ISO8601) | Event ranking announcement time |
| player_top_100_rankings | array<player> | List of event top 100 players |
| world_link_top_100_rankings | array<world_link> | List of World Link chapter top 100 players |
The /[region]/event/[event_id]/top100 endpoint returns the raw API data directly.